## kodi-visualization-pictureit 3.4.0%2Bds1

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.pictureit/releases \
/xbmc/visualization.pictureit/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-visualization-pictureit 21.0.2+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(visualization.pictureit)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(glm REQUIRED)

if(NOT WIN32 AND (APP_RENDER_SYSTEM STREQUAL "gl" OR NOT APP_RENDER_SYSTEM))
  find_package(OpenGl REQUIRED)
  set(DEPLIBS ${OPENGL_LIBRARIES})
  set(includes ${OPENGL_INCLUDE_DIR})
  add_definitions(${OPENGL_DEFINITIONS})
else()
  find_package(OpenGLES REQUIRED)
  set(DEPLIBS ${OPENGLES_LIBRARIES})
  set(includes ${OPENGLES_INCLUDE_DIR})
  add_definitions(${OPENGLES_DEFINITIONS})
endif()

# Add kissfft
add_subdirectory(${PROJECT_SOURCE_DIR}/lib/kissfft)

include_directories(${GLM_INCLUDE_DIR}
                    ${KODI_INCLUDE_DIR}/..
                    ${PROJECT_SOURCE_DIR}/lib/kissfft)

list(APPEND DEPLIBS kissfft)

set(ADDON_SOURCES src/pictureit.cpp
                  src/mrfft.cpp)
set(ADDON_HEADERS src/pictureit.h
                  src/mrfft.h
                  src/stb_image.h)

build_addon(visualization.pictureit ADDON DEPLIBS)

include(CPack)

## kodi-visualization-pictureit 3.4.0+ds1

=== debian/changelog ===
kodi-visualization-pictureit (3.4.0+ds1-3~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Jun 2021 20:42:17 -0700

kodi-visualization-pictureit (3.4.0+ds1-3) unstable; urgency=medium

  * Update system kissfft patch for 131.1.0

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 16 Feb 2021 17:54:10 +0000

kodi-visualization-pictureit (3.4.0+ds1-2) unstable; urgency=medium

  * Force override libdir paths
  * Bump copyright years
  * Fix VCS link typo
  * Sort out gl/gles build dependencies

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 21 Jan 2021 17:08:04 +0000

kodi-visualization-pictureit (3.4.0+ds1-1) unstable; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 10 Jan 2021 10:41:14 +0000

=== debian/control ===
Source: kodi-visualization-pictureit
Priority: optional
Section: libs
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmake,
                    dh-sequence-kodiaddon,
                    kodi-addons-dev (>= 2:19~),
                    libgl1-mesa-dev [!arm64 !armel !armhf],
                    libgles2-mesa-dev [arm64 armel armhf],
                    libglm-dev,
                    libkissfft-dev (>= 131.1.0~)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-pictureit
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-pictureit.git
Homepage: https://kodi.tv

Package: kodi-visualization-pictureit
Architecture: any
Depends: ${kodi:VISUALIZATIONAPI}, ${misc:Depends}, ${shlibs:Depends}
Description: pictureit visualizer for Kodi
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is a PictureIt visualizer for Kodi

## kodi-visualization-pictureit 19.0.0%2Bds1

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.pictureit/releases \
/xbmc/visualization.pictureit/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-visualization-pictureit 19.0.0+ds1

=== debian/changelog ===
kodi-visualization-pictureit (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Refresh patches
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:14:52 +0000

kodi-visualization-pictureit (3.4.0+ds1-4) unstable; urgency=medium

  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 Aug 2021 05:40:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: kodi-visualization-pictureit
 Priority: optional
 Section: libs
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: cmake,
-                    dh-sequence-kodiaddon,
-                    kodi-addons-dev (>= 2:19~),
-                    libgl1-mesa-dev [!arm64 !armel !armhf],
-                    libgles2-mesa-dev [arm64 armel armhf],
-                    libglm-dev,
-                    libkissfft-dev (>= 131.1.0~)
-Standards-Version: 4.5.1
+               dh-sequence-kodiaddon,
+               kodi-addons-dev (>= 2:19~),
+               libgles2-mesa-dev [arm64 armel armhf],
+               libgl1-mesa-dev [!arm64 !armel !armhf],
+               libglm-dev,
+               libkissfft-dev (>= 131.1.0~)
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-pictureit
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-pictureit.git
@@ -20,7 +19,9 @@
 
 Package: kodi-visualization-pictureit
 Architecture: any
-Depends: ${kodi:VISUALIZATIONAPI}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${kodi:VISUALIZATIONAPI}
 Description: pictureit visualizer for Kodi
  Kodi, formerly known as XBMC is an award winning free and
  open source software media-player and entertainment hub for all your digital

## kodi-visualization-pictureit 19.0.1+ds1

=== debian/changelog ===
kodi-visualization-pictureit (19.0.1+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:42:02 +0000

kodi-visualization-pictureit (19.0.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.1+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:49:34 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: cmake,
-               dh-sequence-kodiaddon,
-               kodi-addons-dev (>= 2:19~),
+               dh-sequence-kodiaddon (>= 2:19~),
                libgles2-mesa-dev [arm64 armel armhf],
                libgl1-mesa-dev [!arm64 !armel !armhf],
                libglm-dev,

## kodi-visualization-pictureit 20.1.0+ds1

=== debian/changelog ===
kodi-visualization-pictureit (20.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.1.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:55:22 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.pictureit/releases \
/xbmc/visualization.pictureit/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-visualization-pictureit 20.2.0%2Bds1

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.pictureit \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-visualization-pictureit 20.2.0+ds1

=== debian/changelog ===
kodi-visualization-pictureit (20.2.0+ds1-2) unstable; urgency=medium

  * Branch out experimental
  * Modernize package
  * New release 20.1.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch
  * Bump standards version to 4.7.0 (no changes required)

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 08:47:28 +0000

kodi-visualization-pictureit (20.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.0+ds1
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:55:09 +0000

=== debian/watch ===
--- 
+++ 
@@ -6,9 +6,9 @@
 opts="mode=git, \
       pgpmode=none, \
       repack, \
-      repacksuffix=+ds1, \
+      repacksuffix=+ds, \
       compression=xz, \
       dversionmangle=auto" \
 https://github.com/xbmc/visualization.pictureit \
-refs/tags/@ANY_VERSION@-Nexus \
+refs/tags/@ANY_VERSION@-Omega \
 debian

## kodi-visualization-pictureit 21.0.2+ds

=== debian/changelog ===
kodi-visualization-pictureit (21.0.2+ds-1) unstable; urgency=high

  * New upstream version 21.0.2+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:47:26 +0000

kodi-visualization-pictureit (20.2.0+ds1-3) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:15:16 +0000

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: cmake,
-               dh-sequence-kodiaddon (>= 2:19~),
+               dh-sequence-kodiaddon (>= 2:21~),
                libgles2-mesa-dev [arm64 armel armhf],
                libgl1-mesa-dev [!arm64 !armel !armhf],
                libglm-dev,
                libkissfft-dev (>= 131.1.0~)
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-pictureit
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-pictureit.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-pictureit.git -b debian/sid
 Homepage: https://kodi.tv
 
 Package: kodi-visualization-pictureit

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.pictureit \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
